Name:          alsa-firmware
Version:       1.2.1
Release:       1mamba
Summary:       Firmware files for several ALSA-supported sound cards
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.alsa-project.org/
Source:        ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-%{version}.tar.bz2
License:       GPL, BSD , LGPL
Requires:      alsa-tools-firmware
BuildRequires: automake
BuildRequires: autoconf
## AUTOBUILDREQ-BEGIN
BuildRequires: alsa-tools-firmware
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in the alsa-tools-firmware package.

%package extras
Group:         System/Kernel and Hardware
Summary:       Extra firmware files for several ALSA-supported sound cards

%description extras
This package contains the firmware binaries for a number of sound cards.
Some (but not all of these) require firmware loaders which are included in the alsa-tools-firmware package.

%prep
%setup -q
# broken symlinks in the output RPM, with no sign of the actual firmware (*.bin) files
# themselves:
#
# /lib/firmware/turtlebeach:
# msndinit.bin -> /etc/sound/msndinit.bin
# msndperm.bin -> /etc/sound/msndperm.bin
# pndsperm.bin -> /etc/sound/pndsperm.bin
# pndspini.bin -> /etc/sound/pndspini.bin
#

sed -i s#multisound## Makefile.am
sed -i s#multisound## Makefile.in


%build
#%__aclocal
#%__automake
#%__autoconf
%configure  --disable-loader
%make

# Rename README files from firmware subdirs that have them
for i in hdsploader mixartloader pcxhrloader usx2yloader vxloader
do
  mv ${i}/README README.${i}
done


%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
# License: KOS (BSD-alike)
/lib/firmware/aica_firmware.bin
# License: No explicit license; default package license is GPL
/lib/firmware/asihpi/dsp*.bin
#
%dir /lib/firmware/cs46xx
/lib/firmware/cs46xx/*
#
# License: GPL (undefined version)
/lib/firmware/digiface_*.bin
# The licenses for the Echo Audio firmware vary slightly so each is enumerated
# separately, to be really sure.
# LGPL
%dir /lib/firmware/ea
/lib/firmware/ea/3g_asic.fw
# GPL
/lib/firmware/ea/darla20_dsp.fw
# LGPL
/lib/firmware/ea/darla24_dsp.fw
/lib/firmware/ea/echo3g_dsp.fw
# GPL
/lib/firmware/ea/gina*.fw
# LGPL
/lib/firmware/ea/indigo*.fw
# GPL
/lib/firmware/ea/layla*.fw
/lib/firmware/ea/loader_dsp.fw
# LGPL
/lib/firmware/ea/mia_dsp.fw
# GPL
/lib/firmware/ea/mona_*.fw
# GPL
%dir /lib/firmware/emu
/lib/firmware/emu/audio_dock.fw
/lib/firmware/emu/emu*.fw
/lib/firmware/emu/hana.fw
/lib/firmware/emu/micro_dock.fw
# GPL
%dir /lib/firmware/mixart
/lib/firmware/mixart/miXart8.elf
/lib/firmware/mixart/miXart8*.xlx
# GPL
/lib/firmware/multiface_firmware*.bin
# GPL
/lib/firmware/pcxhr
# unchecked
/lib/firmware/rpm_firmware.bin
# GPL
%dir /lib/firmware/vx
/lib/firmware/vx/*.boot
/lib/firmware/vx/*.b56
/lib/firmware/vx/*.d56
/lib/firmware/vx/*.xlx

/lib/firmware/ctefx-*.bin
# Even with --disable-loader, we still get usxxx firmware here; looking at the
# alsa-tools-firmware package, it seems like these devices probably use an old- 
# style hotplug loading method
# GPL
%dir %{_datadir}/alsa/firmware
%dir %{_datadir}/alsa/firmware/usx2yloader
%{_datadir}/alsa/firmware/usx2yloader/*.conf
%{_datadir}/alsa/firmware/usx2yloader/*.prepad
%{_datadir}/alsa/firmware/usx2yloader/*.rbt
%{_datadir}/alsa/firmware/usx2yloader/*.ihx
%doc COPYING README.*

%files extras
%defattr(-,root,root)
/lib/firmware/ctefx.bin
/lib/firmware/ctspeq.bin
# GPL
%dir /lib/firmware/ess
/lib/firmware/ess/maestro3_assp_*.fw
# GPL
%dir /lib/firmware/korg
/lib/firmware/korg/k1212.dsp
# GPL
%dir /lib/firmware/sb16
/lib/firmware/sb16/*.csp
# License: No explicit license  see ALSA bug #3412
%dir /lib/firmware/yamaha
/lib/firmware/yamaha/*.fw
/lib/firmware/yamaha/yss225_registers.bin

%changelog
* Fri Nov 22 2019 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Jul 25 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.29-2mamba
- moved to -extras files conflicting with current linux-firmware package

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 1.0.29-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Sat Mar 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.24.1-1mamba
- update to 1.0.24.1

* Mon Apr 19 2010 Automatic Build System <autodist@mambasoft.it> 1.0.23-1mamba
- automatic update by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 1.0.20-1mamba
- automatic update by autodist

* Wed Jan 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.19-1mamba
- automatic update by autodist

* Sat Jan 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.17rc2-1mamba
- automatic update by autodist

* Fri Dec 19 2008 gil <puntogil@libero.it> 1.0.17-1mamba
- package created by autospec
